const db = wx.cloud.database().collection("user_Data");
const defaultAvatarUrl = 'https://mmbiz.qpic.cn/mmbiz/icTdbqWNOwNRna42FI242Lcia07jQodd2FJGIYQfG0LAJGFxM4FbnQP6yfMxBgJ0F3YRqJCJ1aPAK2dQagdusBZg/0' //默认头像地址

Page({
  //页面数据
  data:{
    avatarUrl: defaultAvatarUrl,
    birthday: "",
    region:"",
  },

  onLoad(options) {
    //检测是否有头像缓存
    try {
      var avatarUrl = wx.getStorageSync('avatarUrl')
      if (avatarUrl) {
        this.setData({
          avatarUrl
        })
      }
    } catch (e) {
      console.log(e);
    }
  },

  //选择头像后存储头像地址
  onChooseAvatar(e) {
    var { avatarUrl } = e.detail 
    this.setData({
      avatarUrl
    })
    // console.log(e.detail);
    //存储头像地址到本地
    try {
      wx.setStorageSync('avatarUrl', avatarUrl)
    } catch (e) {
      console.log(e);
    }
  },

  //表单提交方法
  submit: function(e){
    console.log(e.detail.value);
    //todo: 添加输入检测
    
    //往数据库里插入的方法
    db.add({
      //传入数据
      data: e.detail.value,
      //成功后执行的方法
      success:(res) => {
        console.log(res)
      }
    })
  },

  //跳转至教师信息页面
  navigateToPageTpro: function() {
    wx.navigateTo({
      url: '/pages/Tprofile/Tprofile',
    })
  },

  //更新页面的生日信息
  dateChange: function(e){
    this.setData({
      birthday: e.detail.value,
    });
  },

  //更新页面的地区信息
  regionChange: function(e){
    this.setData({
      region: e.detail.value,
    });
  }

});